## GtkPlotCanvasEllipse GtkPlotCanvasEllipse |

## Functions

GtkPlotCanvasChild * | gtk_plot_canvas_ellipse_new ()
void | gtk_plot_canvas_ellipse_set_attributes ()

## Properties

gpointer | color-bg | Read / Write
gboolean | filled | Read / Write
gpointer | line | Read / Write

## Types and Values

struct | GtkPlotCanvasEllipse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotCanvasChild
                    ╰── GtkPlotCanvasEllipse

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_canvas_ellipse_new ()

    GtkPlotCanvasChild *
    gtk_plot_canvas_ellipse_new (GtkPlotLineStyle style,
                                 gfloat width,
                                 const GdkColor *fg,
                                 const GdkColor *bg,
                                 gboolean fill);

### gtk_plot_canvas_ellipse_set_attributes ()

    void
    gtk_plot_canvas_ellipse_set_attributes
                                   (GtkPlotCanvasEllipse *ellipse,
                                    GtkPlotLineStyle style,
                                    gdouble width,
                                    const GdkColor *fg,
                                    const GdkColor *bg,
                                    gboolean fill);

#### Parameters

ellipse | a GtkPlotCanvasEllipse widget. |

## Types and Values

### struct GtkPlotCanvasEllipse

    struct GtkPlotCanvasEllipse;

The GtkPlotCanvasEllipse struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“color-bg”` property

      “color-bg”                 gpointer

Filling Color.

Flags: Read / Write

### The `“filled”` property

      “filled”                   gboolean

Fill Figure.

Flags: Read / Write

Default value: FALSE

### The `“line”` property

      “line”                     gpointer

Line Attributes.

Flags: Read / Write